﻿/**Begin D:\PDM_UPGRADE\PDM1\TSPR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_RESSCR') 
 CREATE TABLE T_TSPR_RESSCR (
FID BIGINT DEFAULT 0 NOT NULL,
FFILTERRECOMMENDERID BIGINT DEFAULT 0 NOT NULL,
FFILTERREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTICEMETHOD VARCHAR(100) DEFAULT ' ' NOT NULL,
FFILTERRECOMMENDTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_RESSCRTASK') 
 CREATE TABLE T_TSPR_RESSCRTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(20) DEFAULT ' ' NOT NULL,
FRESSCRID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATIONFILEID BIGINT DEFAULT 0 NOT NULL,
FFILTERHANDLEPEOPLEID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FRECRUITMENTPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FRECRUITMENTSTAGEID BIGINT DEFAULT 0 NOT NULL,
FFILTERDEADLINE DATETIME,
FFILTERFEEDBACKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FFILTERFEEDBACKCONCLUSION VARCHAR(2) DEFAULT ' ' NOT NULL,
FFILTERFEEDBACKCONTIME DATETIME,
FFILTEROPINION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FFILTERRECOMMENDERID BIGINT DEFAULT 0 NOT NULL,
FFLOWTASKNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_LABEL_TAGOBJ') 
 CREATE TABLE T_TSPR_LABEL_TAGOBJ (
FID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJTYPEID BIGINT DEFAULT 0 NOT NULL,
FTAGOBJID BIGINT DEFAULT 0 NOT NULL,
FLABELCATEGORY VARCHAR(2) DEFAULT ' ' NOT NULL,
FLABELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_EXAMRESULT_L') 
 CREATE TABLE T_TSPR_EXAMRESULT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_EXAMRESULT') 
 CREATE TABLE T_TSPR_EXAMRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FEXAMTIME DATETIME,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXAMTYPE VARCHAR(4) DEFAULT ' ' NOT NULL,
FRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FISDELETED CHAR(1) DEFAULT '0' NOT NULL,
FATTACHFILENUM INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITION_L') 
 CREATE TABLE T_TSPR_POSITION_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSRESPON NCLOB,
FPOSQUAL NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FANOPOSREQUIREMENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONSNAP_L') 
 CREATE TABLE T_TSPR_POSITIONSNAP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKADDRESS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSRESPON NCLOB,
FPOSQUAL NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FANOPOSREQUIREMENT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSWORKADDR') 
 CREATE TABLE T_TSPR_POSWORKADDR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSWORKADDRSNAP') 
 CREATE TABLE T_TSPR_POSWORKADDRSNAP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FVID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONRULE_L') 
 CREATE TABLE T_TSPR_POSITIONRULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYWORD NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONRULE') 
 CREATE TABLE T_TSPR_POSITIONRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDISTRIMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FKEYWORD VARCHAR(1000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSORDINATOR') 
 CREATE TABLE T_TSPR_POSORDINATOR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSPRIN') 
 CREATE TABLE T_TSPR_POSPRIN (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONBILL') 
 CREATE TABLE T_TSPR_POSITIONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONSNAPID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FEVENTEFFECTDATE DATETIME,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW VARCHAR(2) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSMAILREL') 
 CREATE TABLE T_TSPR_POSMAILREL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FMAILINFOID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_RECPLAN') 
 CREATE TABLE T_TSPR_RECPLAN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FRECREQID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITION') 
 CREATE TABLE T_TSPR_POSITION (
FID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITIONPRIORITY INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL,
FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECRUITNUM INT DEFAULT 0 NOT NULL,
FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FWORKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FENTRYJOBID BIGINT DEFAULT 0 NOT NULL,
FLOWJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FHIGHJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FLOWJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FHIGHJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJOBGRADE VARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALTIME DATETIME,
FENTRYPOSITION BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FWORKCITYID BIGINT DEFAULT 0 NOT NULL,
FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALARYDOWN BIGINT DEFAULT 0 NOT NULL,
FSALARYUP BIGINT DEFAULT 0 NOT NULL,
FPOSRESPON NCLOB,
FANOPOSREQUIREMENT NCLOB,
FCANDIDATORNUM INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_AUTHORIZER') 
 CREATE TABLE T_TSPR_AUTHORIZER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONMANAGE') 
 CREATE TABLE T_TSPR_POSITIONMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FCRECRUPROCID BIGINT DEFAULT 0 NOT NULL,
FCFGRESURULEID BIGINT DEFAULT 0 NOT NULL,
FSECLEVEL BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONSNAP') 
 CREATE TABLE T_TSPR_POSITIONSNAP (
FVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITIONPRIORITY INT DEFAULT 0 NOT NULL,
FISABANDON CHAR(1) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECRUITNUM INT DEFAULT 0 NOT NULL,
FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FWORKCITYID BIGINT DEFAULT 0 NOT NULL,
FWORKCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FENTRYJOBID BIGINT DEFAULT 0 NOT NULL,
FLOWJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FHIGHJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FLOWJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FHIGHJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FJOBGRADE VARCHAR(50) DEFAULT ' ' NOT NULL,
FARRIVALTIME DATETIME,
FENTRYPOSITION BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALARYDOWN BIGINT DEFAULT 0 NOT NULL,
FSALARYUP BIGINT DEFAULT 0 NOT NULL,
FPOSRESPON NCLOB,
FANOPOSREQUIREMENT NCLOB,
FCANDIDATORNUM INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITION_A') 
 CREATE TABLE T_TSPR_POSITION_A (
FID BIGINT DEFAULT 0 NOT NULL,
FISSEXLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FSEX VARCHAR(2) DEFAULT ' ' NOT NULL,
FISAGELIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FAGEDOWN INT DEFAULT 0 NOT NULL,
FAGEUP INT DEFAULT 0 NOT NULL,
FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
FWORKEXPUP INT DEFAULT 0 NOT NULL,
FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FSUCCADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FERRADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FSTOPADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_POSITIONSNAP_A') 
 CREATE TABLE T_TSPR_POSITIONSNAP_A (
FVID BIGINT DEFAULT 0 NOT NULL,
FISSEXLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FSEX VARCHAR(2) DEFAULT ' ' NOT NULL,
FISAGELIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FAGEDOWN INT DEFAULT 0 NOT NULL,
FAGEUP INT DEFAULT 0 NOT NULL,
FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
FWORKEXPUP INT DEFAULT 0 NOT NULL,
FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FSUCCADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FERRADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FSTOPADVCOUNT BIGINT DEFAULT 0 NOT NULL,
FRECRUSCENEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIREJOBRANK') 
 CREATE TABLE T_TSPR_HIREJOBRANK (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONNUM INT DEFAULT 0 NOT NULL,
FPROBATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FWORKADDRID BIGINT DEFAULT 0 NOT NULL,
FSOCAREAID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIREJOBRANKBILL') 
 CREATE TABLE T_TSPR_HIREJOBRANKBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FJOBRANKID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONNUM INT DEFAULT 0 NOT NULL,
FPROBATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FWORKADDRID BIGINT DEFAULT 0 NOT NULL,
FSOCAREAID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FFLOWTASKNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARY_A') 
 CREATE TABLE T_TSPR_HIRESALARY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FHOUSINGFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHOUSINGFEE_ENP NCLOB,
FHOUSINGFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL,
FWELFAREREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FRSSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRSSHARNUM_ENP NCLOB,
FYEARSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FYEARSHARNUM_ENP NCLOB,
FYEARSHARCURID BIGINT DEFAULT 0 NOT NULL,
FOPSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPSHARNUM_ENP NCLOB,
FOPVALNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPVALNUM_ENP NCLOB,
FOPVALCURID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARYBILL_A') 
 CREATE TABLE T_TSPR_HIRESALARYBILL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FRESTAURANTFEECOMPANY VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMUNICATIONFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMMUNICATIONFEE_ENP NCLOB,
FCOMMUNICAFEECOMPANY VARCHAR(10) DEFAULT ' ' NOT NULL,
FRENTFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRENTFEE_ENP NCLOB,
FRENTFEECOMPANY VARCHAR(10) DEFAULT ' ' NOT NULL,
FHOUSINGFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FHOUSINGFEE_ENP NCLOB,
FHOUSINGFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL,
FWELFAREREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FRSSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRSSHARNUM_ENP NCLOB,
FYEARSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FYEARSHARNUM_ENP NCLOB,
FYEARSHARCURID BIGINT DEFAULT 0 NOT NULL,
FOPSHARNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPSHARNUM_ENP NCLOB,
FOPVALNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FOPVALNUM_ENP NCLOB,
FOPVALCURID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBRANKADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMORGID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FPOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONNUM INT DEFAULT 0 NOT NULL,
FPROBATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FWORKADDRID BIGINT DEFAULT 0 NOT NULL,
FSOCAREAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIREJOBRANKBILL_S') 
 CREATE TABLE T_TSPR_HIREJOBRANKBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURYESARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURYESARYNUM_ENP NCLOB,
FCURTFIXSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTFIXSARYNUM_ENP NCLOB,
FCURBONUSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURBONUSNUM_ENP NCLOB,
FCURTBENEFITSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTBENEFITSNUM_ENP NCLOB,
FFCURTLONGINCNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFCURTLONGINCNUM_ENP NCLOB,
FEXPMONSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPMONSARYNUM_ENP NCLOB,
FEXPYEARSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPYEARSARYNUM_ENP NCLOB,
FEXPTREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARYEXPT') 
 CREATE TABLE T_TSPR_HIRESALARYEXPT (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURYESARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURYESARYNUM_ENP NCLOB,
FCURTFIXSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTFIXSARYNUM_ENP NCLOB,
FCURBONUSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURBONUSNUM_ENP NCLOB,
FCURTBENEFITSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTBENEFITSNUM_ENP NCLOB,
FFCURTLONGINCNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFCURTLONGINCNUM_ENP NCLOB,
FEXPMONSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPMONSARYNUM_ENP NCLOB,
FEXPYEARSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPYEARSARYNUM_ENP NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FEXPTREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARYBILL_S') 
 CREATE TABLE T_TSPR_HIRESALARYBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURYESARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURYESARYNUM_ENP NCLOB,
FCURTFIXSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTFIXSARYNUM_ENP NCLOB,
FCURBONUSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURBONUSNUM_ENP NCLOB,
FCURTBENEFITSNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTBENEFITSNUM_ENP NCLOB,
FFCURTLONGINCNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFCURTLONGINCNUM_ENP NCLOB,
FEXPMONSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPMONSARYNUM_ENP NCLOB,
FEXPYEARSARYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEXPYEARSARYNUM_ENP NCLOB,
FEXPTREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRERECOMMEND') 
 CREATE TABLE T_TSPR_HIRERECOMMEND (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FFEEDBACKRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FADVICEREASON NVARCHAR(500) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FFLOWTASKNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRERECOMMEND_L') 
 CREATE TABLE T_TSPR_HIRERECOMMEND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FADVICEREASON NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARY') 
 CREATE TABLE T_TSPR_HIRESALARY (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FFORMALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASICWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBASICWAGE_ENP NCLOB,
FACHIEVEMENTWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACHIEVEMENTWAGE_ENP NCLOB,
FPOSITIONWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOSITIONWAGE_ENP NCLOB,
FMONTHLYSALARY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMONTHLYSALARY_ENP NCLOB,
FYEARENDBONUS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FYEARENDBONUS_ENP NCLOB,
FFORMALREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FPAYNUM DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBBASICWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBBASICWAGE_ENP NCLOB,
FPROBACHIEVEMENTWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBACHIEVEMENTWAGE_ENP NCLOB,
FPROBPOSITIONWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBPOSITIONWAGE_ENP NCLOB,
FPROBMONTHLYSALARY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBMONTHLYSALARY_ENP NCLOB,
FPROBREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FTRAFFICFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAFFICFEE_ENP NCLOB,
FTRAFFICFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL,
FRESTAURANTFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRESTAURANTFEE_ENP NCLOB,
FRESTAURANTFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL,
FCOMMUNICATIONFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOMMUNICATIONFEE_ENP NCLOB,
FCOMMUNICAFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL,
FRENTFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRENTFEE_ENP NCLOB,
FRENTFEECOMPANY VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_HIRESALARYBILL') 
 CREATE TABLE T_TSPR_HIRESALARYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FSALARYID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FFLOWTASKNUM VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAUDITDATE DATETIME,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FFORMALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASICWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBASICWAGE_ENP NCLOB,
FACHIEVEMENTWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACHIEVEMENTWAGE_ENP NCLOB,
FPOSITIONWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOSITIONWAGE_ENP NCLOB,
FMONTHLYSALARY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMONTHLYSALARY_ENP NCLOB,
FYEARENDBONUS DECIMAL(19,6) DEFAULT 0 NOT NULL,
FYEARENDBONUS_ENP NCLOB,
FFORMALREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYNUM INT DEFAULT 0 NOT NULL,
FPROBBASICWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBBASICWAGE_ENP NCLOB,
FPROBACHIEVEMENTWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBACHIEVEMENTWAGE_ENP NCLOB,
FPROBPOSITIONWAGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBPOSITIONWAGE_ENP NCLOB,
FPROBMONTHLYSALARY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPROBMONTHLYSALARY_ENP NCLOB,
FPROBREMARK NVARCHAR(400) DEFAULT ' ' NOT NULL,
FTRAFFICFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTRAFFICFEE_ENP NCLOB,
FTRAFFICFEECOMPANY VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESTAURANTFEE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FRESTAURANTFEE_ENP NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILETRACE') 
 CREATE TABLE T_TSPR_APPFILETRACE (
FID BIGINT DEFAULT 0 NOT NULL,
FINRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
FOUTRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
FINRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
FOUTRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FINCTLINKTIME DATETIME,
FINCTSTATUSTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FRECRURSNID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILESTATUSREC') 
 CREATE TABLE T_TSPR_APPFILESTATUSREC (
FID BIGINT DEFAULT 0 NOT NULL,
FOPERATETIME DATETIME,
FREASONID BIGINT DEFAULT 0 NOT NULL,
FDETAILEDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FOPERATETYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FOLDFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FNEWFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILESTATUSREC_L') 
 CREATE TABLE T_TSPR_APPFILESTATUSREC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDETAILEDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILE_L') 
 CREATE TABLE T_TSPR_APPFILE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLASTEXAMWNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FLASTEXAMATITLE NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILEFLOWLOCK') 
 CREATE TABLE T_TSPR_APPFILEFLOWLOCK (
FID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FLOCKTIME DATETIME,
FAUTOUNLOCKTIME DATETIME,
FLOCKERID BIGINT DEFAULT 0 NOT NULL,
FISLOCKED CHAR(1) DEFAULT '0' NOT NULL,
FUNLOCKTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILE') 
 CREATE TABLE T_TSPR_APPFILE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONSNAPID BIGINT DEFAULT 0 NOT NULL,
FRECRUSTATID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYRECID BIGINT DEFAULT 0 NOT NULL,
FAPPRESID BIGINT DEFAULT 0 NOT NULL,
FISBINDDELYREC CHAR(1) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
FSTDRSMID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENTERLINKTIME DATETIME,
FELIMINATETIME DATETIME,
FFILESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FVALIDRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FRECRUPROCID BIGINT DEFAULT 0 NOT NULL,
FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOFFERSTATUSID BIGINT DEFAULT 0 NOT NULL,
FINTVPROGRESS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTVEVALRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FEMPOLYFEEDBACKRESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FJOBRANKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSETSALARYSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEMPLOYAPPRLSATATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILE_A') 
 CREATE TABLE T_TSPR_APPFILE_A (
FID BIGINT DEFAULT 0 NOT NULL,
FBIRTHDAY DATETIME,
FHIGHESTEDUSCHOOLID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FHIGHESTSPECIALTY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPLYTIME DATETIME,
FRESACQMTHDID BIGINT DEFAULT 0 NOT NULL,
FRECRUCHNLNMID BIGINT DEFAULT 0 NOT NULL,
FNOFKFILTERFKNUM INT DEFAULT 0 NOT NULL,
FSUITFILTERFKNUM INT DEFAULT 0 NOT NULL,
FNOSUITFILTERFKNUM INT DEFAULT 0 NOT NULL,
FPENDFILTERFKNUM INT DEFAULT 0 NOT NULL,
FTFPOSFILTERFKNUM INT DEFAULT 0 NOT NULL,
FLASTFILTERFKSTARTTIME DATETIME,
FFILTERSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERVIEWTIME DATETIME,
FEMPLOYRECOMNEWESTTIME DATETIME,
FEMPLOYAPPRLNEWESTTIME DATETIME,
FLASTHIREJOBRANKSTARTTIME DATETIME,
FLASTHIRESALARYSTARTIME DATETIME,
FLASTEXAMWTIME DATETIME,
FLASTEXAMWSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLASTEXAMATIME DATETIME,
FLASTEXAMARESULT VARCHAR(2) DEFAULT ' ' NOT NULL,
FHIRETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRWORKADDR') 
 CREATE TABLE T_TSPR_IRWORKADDR (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_BIZCOUNT') 
 CREATE TABLE T_TSPR_BIZCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FBIZMARK VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZSTAFF BIGINT DEFAULT 0 NOT NULL,
FBIZSTAFFNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRPOSTERENTRY') 
 CREATE TABLE T_TSPR_IRPOSTERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FADVID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRPOSTEROPR') 
 CREATE TABLE T_TSPR_IRPOSTEROPR (
FID BIGINT DEFAULT 0 NOT NULL,
FPOSTERID BIGINT DEFAULT 0 NOT NULL,
FOPTTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRPOSTER') 
 CREATE TABLE T_TSPR_IRPOSTER (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPICADDR VARCHAR(200) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRRRECORD') 
 CREATE TABLE T_TSPR_IRRRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FREWARD INT DEFAULT 0 NOT NULL,
FRECRUITLINK BIGINT DEFAULT 0 NOT NULL,
FRECRUITSTATUS BIGINT DEFAULT 0 NOT NULL,
FRESPONID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FRPTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRPFROM CHAR(1) DEFAULT ' ' NOT NULL,
FRPNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FRPORGID BIGINT DEFAULT 0 NOT NULL,
FCANMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSBIZID BIGINT DEFAULT 0 NOT NULL,
FPOSORGID BIGINT DEFAULT 0 NOT NULL,
FCANPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSTERID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FADVID BIGINT DEFAULT 0 NOT NULL,
FRELATIONSHIP BIGINT DEFAULT 0 NOT NULL,
FMODIFYSTATUSDATE DATETIME,
FCANAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILL') 
 CREATE TABLE T_TSPR_ADVBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FAUDITSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT ' ' NOT NULL,
FADVERTBUORG BIGINT DEFAULT 0 NOT NULL,
FADMINORG BIGINT DEFAULT 0 NOT NULL,
FCATEGORY NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPOSITIONEXID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILL_L') 
 CREATE TABLE T_TSPR_ADVBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNOWNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FNOWNODEAUDITOR NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILLENTITY') 
 CREATE TABLE T_TSPR_ADVBILLENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FISDISPOSCODE CHAR(1) DEFAULT ' ' NOT NULL,
FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALARYDOWN INT DEFAULT 0 NOT NULL,
FSALARYUP INT DEFAULT 0 NOT NULL,
FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
FWORKEXPUP INT DEFAULT 0 NOT NULL,
FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FRECRUITNUM INT DEFAULT 0 NOT NULL,
FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FRECMAIL VARCHAR(200) DEFAULT ' ' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FADVID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISAUDIT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILLENTITY_I') 
 CREATE TABLE T_TSPR_ADVBILLENTITY_I (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FISURGENT CHAR(1) DEFAULT ' ' NOT NULL,
FISTOP CHAR(1) DEFAULT ' ' NOT NULL,
FISREWARD CHAR(1) DEFAULT ' ' NOT NULL,
FREWARD INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILLENTITY_L') 
 CREATE TABLE T_TSPR_ADVBILLENTITY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSRESPON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPOSQUAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREQORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVBILLENTITY_WA') 
 CREATE TABLE T_TSPR_ADVBILLENTITY_WA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVERTEX') 
 CREATE TABLE T_TSPR_ADVERTEX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FISDISPOSCODE CHAR(1) DEFAULT ' ' NOT NULL,
FRECCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FPOSCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSALARYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSALARYDOWN INT DEFAULT 0 NOT NULL,
FSALARYUP INT DEFAULT 0 NOT NULL,
FISSALARYNEGO CHAR(1) DEFAULT ' ' NOT NULL,
FHOLDOFFTYPID BIGINT DEFAULT 0 NOT NULL,
FWORKEXPDOWN INT DEFAULT 0 NOT NULL,
FWORKEXPUP INT DEFAULT 0 NOT NULL,
FISWORKEXPLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FISEDULIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FRECRUITNUM INT DEFAULT 0 NOT NULL,
FISRECNUMLIMIT CHAR(1) DEFAULT ' ' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSTOPTIME DATETIME,
FVID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEID BIGINT DEFAULT 0 NOT NULL,
FREFRESHTIME DATETIME,
FAPPROVESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPUBTIME DATETIME,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADVBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FADVERTISEMENTRD VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVERTEX_I') 
 CREATE TABLE T_TSPR_ADVERTEX_I (
FID BIGINT DEFAULT 0 NOT NULL,
FISURGENT CHAR(1) DEFAULT ' ' NOT NULL,
FISTOP CHAR(1) DEFAULT ' ' NOT NULL,
FISREWARD CHAR(1) DEFAULT ' ' NOT NULL,
FREWARD INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ADVERTEX_L') 
 CREATE TABLE T_TSPR_ADVERTEX_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPOSRESPON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPOSQUAL NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREQORG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRRRECORD_L') 
 CREATE TABLE T_TSPR_IRRRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRPCOMMON NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ARGINTV_L') 
 CREATE TABLE T_TSPR_ARGINTV_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTERVIEWTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_GROUPCANDATE') 
 CREATE TABLE T_TSPR_GROUPCANDATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVCANDATE') 
 CREATE TABLE T_TSPR_INTVCANDATE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVER') 
 CREATE TABLE T_TSPR_INTVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVEVLENTRY') 
 CREATE TABLE T_TSPR_INTVEVLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINTVEVLID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVGROUPENTRY_L') 
 CREATE TABLE T_TSPR_INTVGROUPENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINTERVIEWLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVTASK_L') 
 CREATE TABLE T_TSPR_INTVTASK_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVEVLANS') 
 CREATE TABLE T_TSPR_INTVEVLANS (
FID BIGINT DEFAULT 0 NOT NULL,
FINTVEVLQUNRID BIGINT DEFAULT 0 NOT NULL,
FINTVEVLID BIGINT DEFAULT 0 NOT NULL,
FINSPECTDIMID BIGINT DEFAULT 0 NOT NULL,
FINSPECTQUID BIGINT DEFAULT 0 NOT NULL,
FSUBOPTIONID BIGINT DEFAULT 0 NOT NULL,
FSUBANSWER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVEVLANS_L') 
 CREATE TABLE T_TSPR_INTVEVLANS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUBANSWER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILETASK_L') 
 CREATE TABLE T_TSPR_APPFILETASK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREFUSALCAUSE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_REFUSALREASON') 
 CREATE TABLE T_TSPR_REFUSALREASON (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_UNIFYARGINFO') 
 CREATE TABLE T_TSPR_UNIFYARGINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FARGINTVID BIGINT DEFAULT 0 NOT NULL,
FROUNDID BIGINT DEFAULT 0 NOT NULL,
FUNIFYINTVTIME INT DEFAULT 0 NOT NULL,
FUNIFYDURATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFADMINDIVISIONID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIFYINTERVIEWADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIFYFINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHALFBEGINTIME INT DEFAULT 0 NOT NULL,
FHALFENDTIME INT DEFAULT 0 NOT NULL,
FUNIFYPERSONNUM INT DEFAULT 0 NOT NULL,
FUNIFYGROUPNUM INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_UNIFYARGINFO_L') 
 CREATE TABLE T_TSPR_UNIFYARGINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FUNIFYINTERVIEWADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIFYFINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_UNIFYINTVER') 
 CREATE TABLE T_TSPR_UNIFYINTVER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVEVL') 
 CREATE TABLE T_TSPR_INTVEVL (
FID BIGINT DEFAULT 0 NOT NULL,
FARGINTVID BIGINT DEFAULT 0 NOT NULL,
FROUNDID BIGINT DEFAULT 0 NOT NULL,
FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
FAPPFILETASKID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATIONID BIGINT DEFAULT 0 NOT NULL,
FRESUMEID BIGINT DEFAULT 0 NOT NULL,
FINTVTASKID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWEVALUATORID BIGINT DEFAULT 0 NOT NULL,
FINTVEVLRSLT VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTERVIEWCONTENT NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTERVIEWEVALUATIONTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVGROUPENTRY') 
 CREATE TABLE T_TSPR_INTVGROUPENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FINTVDATE DATETIME,
FINTVSTARTTIME INT DEFAULT 0 NOT NULL,
FINTVENDTIME INT DEFAULT 0 NOT NULL,
FADMINDIVISIONID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERVIEWLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINTERVIEWROOM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCANDATEVEDIOADDRESS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FINTVERVEDIOADDRESS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVROUNDENTRY') 
 CREATE TABLE T_TSPR_INTVROUNDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWTHEMEID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWSTAGEID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWMETHODID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWEVLID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_ARGINTV') 
 CREATE TABLE T_TSPR_ARGINTV (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FARRANGEANTIME DATETIME,
FINTERVIEWARRANGERID BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRECRUITMENTSTAGE BIGINT DEFAULT 0 NOT NULL,
FINTVORGFRM VARCHAR(2) DEFAULT ' ' NOT NULL,
FRECEPTIONIST VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCPERSON VARCHAR(50) DEFAULT ' ' NOT NULL,
FINTERVIEWSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTVEVLSTS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEMAIL2COPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
FSMS2COPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
FEMAIL2INTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
FSMS2INTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
FEMAIL2RECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
FSMS2RECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
FNOTICEINTERVIEWER CHAR(1) DEFAULT ' ' NOT NULL,
FNOTICECOPIEDPERSON CHAR(1) DEFAULT ' ' NOT NULL,
FNOTICERECEPTIONIST CHAR(1) DEFAULT ' ' NOT NULL,
FRECPTHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
FCOPITHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
FINTETHEME NVARCHAR(120) DEFAULT ' ' NOT NULL,
FTXTMAILINTERVIEWER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTXTMAILINTERVIEWER_TAG NCLOB,
FTXTMAILCANDIDATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTXTMAILCANDIDATE_TAG NCLOB,
FTXTMAILUNAWARES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTXTMAILUNAWARES_TAG NCLOB,
FTXTSMSINTERVIEWER NVARCHAR(450) DEFAULT ' ' NOT NULL,
FTXTSMSUNAWARES NVARCHAR(450) DEFAULT ' ' NOT NULL,
FTXTSMSCANDIDATE NVARCHAR(450) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FPICTUREFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_APPFILETASK') 
 CREATE TABLE T_TSPR_APPFILETASK (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPLICATIONID BIGINT DEFAULT 0 NOT NULL,
FARGINTVID BIGINT DEFAULT 0 NOT NULL,
FROUNDID BIGINT DEFAULT 0 NOT NULL,
FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
FSIGNINTIME DATETIME,
FINTVTIME DATETIME,
FSIGNINSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAPPLICATIONANSWER VARCHAR(2) DEFAULT ' ' NOT NULL,
FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTVEVLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTVERSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FURGEANSWERTIME DATETIME,
FURGEINTVEVLTIME DATETIME,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FREFUSALCAUSE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_CANINTVENTRY') 
 CREATE TABLE T_TSPR_CANINTVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FINDEXDATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_CANNOTINTVENTRY') 
 CREATE TABLE T_TSPR_CANNOTINTVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FINDEXDATE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVCALENDAR') 
 CREATE TABLE T_TSPR_INTVCALENDAR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
FHIDDENAGING DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_CHANNELRELATION') 
 CREATE TABLE T_TSPR_CHANNELRELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FARGINTVID BIGINT DEFAULT 0 NOT NULL,
FROUNDID BIGINT DEFAULT 0 NOT NULL,
FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCHANNELID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVERFILEMUL') 
 CREATE TABLE T_TSPR_INTVERFILEMUL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVTASK') 
 CREATE TABLE T_TSPR_INTVTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FARGINTVID BIGINT DEFAULT 0 NOT NULL,
FROUNDID BIGINT DEFAULT 0 NOT NULL,
FINTVGROUPID BIGINT DEFAULT 0 NOT NULL,
FINTVERFILELD BIGINT DEFAULT 0 NOT NULL,
FINTERVIEWERID BIGINT DEFAULT 0 NOT NULL,
FPASSEDPERSON BIGINT DEFAULT 0 NOT NULL,
FPASSEDPERSONFROM BIGINT DEFAULT 0 NOT NULL,
FINTERVERANSWER VARCHAR(2) DEFAULT ' ' NOT NULL,
FTASKSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_INTVCALENDAR_L')
CREATE TABLE T_TSPR_INTVCALENDAR_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TSPR_table.sql **/
