﻿/**Begin D:\PDM_UPGRADE\PDM1\TSPR_constraint.sql **/
 EXEC P_ALTERPK 'PK_TSPR_RESSCR', 'T_TSPR_RESSCR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RESSCR_FIRECER') CREATE INDEX IDX_TSPR_RESSCR_FIRECER ON T_TSPR_RESSCR ( FFILTERRECOMMENDERID );


 EXEC P_ALTERPK 'PK_TSPR_RESSCRTASK', 'T_TSPR_RESSCRTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RESSCRTASK_FAPPFEPID') CREATE INDEX IDX_TSPR_RESSCRTASK_FAPPFEPID ON T_TSPR_RESSCRTASK ( FAPPLICATIONFILEID ,FFILTERHANDLEPEOPLEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RESSCRTASK_FEPIDCT') CREATE INDEX IDX_TSPR_RESSCRTASK_FEPIDCT ON T_TSPR_RESSCRTASK ( FFILTERHANDLEPEOPLEID ,FCREATETIME );


 EXEC P_ALTERPK 'PK_TSPR_LABEL_TAGOBJ', 'T_TSPR_LABEL_TAGOBJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR__LABEL_TAGOBJ') CREATE INDEX IDX_TSPR__LABEL_TAGOBJ ON T_TSPR_LABEL_TAGOBJ ( FTAGOBJTYPEID ,FTAGOBJID ,FLABELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR__LABEL_ID') CREATE INDEX IDX_TSPR__LABEL_ID ON T_TSPR_LABEL_TAGOBJ ( FLABELID );


 EXEC P_ALTERPK 'PK_TSPR_EXAMRESULT_L', 'T_TSPR_EXAMRESULT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_EXAMRESULT_L') CREATE INDEX IDX_TSPR_EXAMRESULT_L ON T_TSPR_EXAMRESULT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_EXAMRESULT', 'T_TSPR_EXAMRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_EXAMRESULT_APPFILEID') CREATE INDEX IDX_TSPR_EXAMRESULT_APPFILEID ON T_TSPR_EXAMRESULT ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_POSITION_L', 'T_TSPR_POSITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITION_L') CREATE INDEX IDX_TSPR_POSITION_L ON T_TSPR_POSITION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONSNAP_L', 'T_TSPR_POSITIONSNAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONSNAP_L') CREATE INDEX IDX_TSPR_POSITIONSNAP_L ON T_TSPR_POSITIONSNAP_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_POSWORKADDR', 'T_TSPR_POSWORKADDR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSWORKADDR_FID') CREATE INDEX IDX_TSPR_POSWORKADDR_FID ON T_TSPR_POSWORKADDR ( FID );


 EXEC P_ALTERPK 'PK_TSPR_POSWORKADDRSNAP', 'T_TSPR_POSWORKADDRSNAP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSWORKADDRSNAP_FVID') CREATE INDEX IDX_TSPR_POSWORKADDRSNAP_FVID ON T_TSPR_POSWORKADDRSNAP ( FVID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONRULE_L', 'T_TSPR_POSITIONRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONRULE_L') CREATE INDEX IDX_TSPR_POSITIONRULE_L ON T_TSPR_POSITIONRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONRULE', 'T_TSPR_POSITIONRULE', 'FID', '1';

--  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_PRULE_FKEYWORD') CREATE INDEX IDX_TSPR_PRULE_FKEYWORD ON T_TSPR_POSITIONRULE ( FKEYWORD );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_PRULE_FPOSITIONID') CREATE INDEX IDX_TSPR_PRULE_FPOSITIONID ON T_TSPR_POSITIONRULE ( FPOSITIONID );


 EXEC P_ALTERPK 'PK_TSPR_POSORDINATOR', 'T_TSPR_POSORDINATOR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSORDINATOR_FID') CREATE INDEX IDX_TSPR_POSORDINATOR_FID ON T_TSPR_POSORDINATOR ( FID );


 EXEC P_ALTERPK 'PK_TSPR_POSPRIN', 'T_TSPR_POSPRIN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSPRIN_FID') CREATE INDEX IDX_TSPR_POSPRIN_FID ON T_TSPR_POSPRIN ( FID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONBILL', 'T_TSPR_POSITIONBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONBILL_POSITION') CREATE INDEX IDX_TSPR_POSITIONBILL_POSITION ON T_TSPR_POSITIONBILL ( FPOSITIONID );


 EXEC P_ALTERPK 'PK_TSPR_POSMAILREL', 'T_TSPR_POSMAILREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSMAILREL_FID') CREATE INDEX IDX_TSPR_POSMAILREL_FID ON T_TSPR_POSMAILREL ( FID );


 EXEC P_ALTERPK 'PK_TSPR_RECPLAN', 'T_TSPR_RECPLAN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RECPLAN_FID') CREATE INDEX IDX_TSPR_RECPLAN_FID ON T_TSPR_RECPLAN ( FID );


 EXEC P_ALTERPK 'PK_TSPR_POSITION', 'T_TSPR_POSITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITION_FNUM') CREATE INDEX IDX_TSPR_POSITION_FNUM ON T_TSPR_POSITION ( FNUMBER );


 EXEC P_ALTERPK 'PK_TSPR_AUTHORIZER', 'T_TSPR_AUTHORIZER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_AUTHORIZER_FID') CREATE INDEX IDX_TSPR_AUTHORIZER_FID ON T_TSPR_AUTHORIZER ( FID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONMANAGE', 'T_TSPR_POSITIONMANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONMANAGE_POS') CREATE INDEX IDX_TSPR_POSITIONMANAGE_POS ON T_TSPR_POSITIONMANAGE ( FPOSITIONID );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONSNAP', 'T_TSPR_POSITIONSNAP', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONSNAP_FID') CREATE INDEX IDX_TSPR_POSITIONSNAP_FID ON T_TSPR_POSITIONSNAP ( FPOSITIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITIONSNAP_FNUM') CREATE INDEX IDX_TSPR_POSITIONSNAP_FNUM ON T_TSPR_POSITIONSNAP ( FNUMBER );


 EXEC P_ALTERPK 'PK_TSPR_POSITION_A', 'T_TSPR_POSITION_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_POSITION_A_FAGEUP') CREATE INDEX IDX_TSPR_POSITION_A_FAGEUP ON T_TSPR_POSITION_A ( FAGEUP );


 EXEC P_ALTERPK 'PK_TSPR_POSITIONSNAP_A', 'T_TSPR_POSITIONSNAP_A', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSRBS_POSSNAP_A_FAGEUP') CREATE INDEX IDX_TSRBS_POSSNAP_A_FAGEUP ON T_TSPR_POSITIONSNAP_A ( FAGEUP );


 EXEC P_ALTERPK 'PK_TSPR_HIREJOBRANK', 'T_TSPR_HIREJOBRANK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HJR_APPFILEID') CREATE INDEX IDX_TSPR_HJR_APPFILEID ON T_TSPR_HIREJOBRANK ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_HIREJOBRANKBILL', 'T_TSPR_HIREJOBRANKBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HJRBILL_HJRID') CREATE INDEX IDX_TSPR_HJRBILL_HJRID ON T_TSPR_HIREJOBRANKBILL ( FJOBRANKID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARY_A', 'T_TSPR_HIRESALARY_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESALARY_A') CREATE INDEX IDX_TSPR_HIRESALARY_A ON T_TSPR_HIRESALARY_A ( FOPVALCURID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARYBILL_A', 'T_TSPR_HIRESALARYBILL_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESALARYBILL_A') CREATE INDEX IDX_TSPR_HIRESALARYBILL_A ON T_TSPR_HIRESALARYBILL_A ( FOPVALCURID );


 EXEC P_ALTERPK 'PK_TSPR_HIREJOBRANKBILL_S', 'T_TSPR_HIREJOBRANKBILL_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIREJOBRANKBILL_S') CREATE INDEX IDX_TSPR_HIREJOBRANKBILL_S ON T_TSPR_HIREJOBRANKBILL_S ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARYEXPT', 'T_TSPR_HIRESALARYEXPT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESYEXPT_APPFILEID') CREATE INDEX IDX_TSPR_HIRESYEXPT_APPFILEID ON T_TSPR_HIRESALARYEXPT ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARYBILL_S', 'T_TSPR_HIRESALARYBILL_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESALARYBILL_S') CREATE INDEX IDX_TSPR_HIRESALARYBILL_S ON T_TSPR_HIRESALARYBILL_S ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_TSPR_HIRERECOMMEND', 'T_TSPR_HIRERECOMMEND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRERECOM_APPFILEID') CREATE INDEX IDX_TSPR_HIRERECOM_APPFILEID ON T_TSPR_HIRERECOMMEND ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_HIRERECOMMEND_L', 'T_TSPR_HIRERECOMMEND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRERECOMMEND_L') CREATE INDEX IDX_TSPR_HIRERECOMMEND_L ON T_TSPR_HIRERECOMMEND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARY', 'T_TSPR_HIRESALARY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESALARY') CREATE INDEX IDX_TSPR_HIRESALARY ON T_TSPR_HIRESALARY ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_HIRESALARYBILL', 'T_TSPR_HIRESALARYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_HIRESALARYBILL') CREATE INDEX IDX_TSPR_HIRESALARYBILL ON T_TSPR_HIRESALARYBILL ( FSALARYID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILETRACE', 'T_TSPR_APPFILETRACE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_AFTRACE_FAFID') CREATE INDEX IDX_TSPR_AFTRACE_FAFID ON T_TSPR_APPFILETRACE ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILESTATUSREC', 'T_TSPR_APPFILESTATUSREC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_AFSTSREC_APPFILE') CREATE INDEX IDX_TSPR_AFSTSREC_APPFILE ON T_TSPR_APPFILESTATUSREC ( FAPPFILEID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILESTATUSREC_L', 'T_TSPR_APPFILESTATUSREC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILESTATUSREC_L') CREATE INDEX IDX_TSPR_APPFILESTATUSREC_L ON T_TSPR_APPFILESTATUSREC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILE_L', 'T_TSPR_APPFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILE_L') CREATE INDEX IDX_TSPR_APPFILE_L ON T_TSPR_APPFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILEFLOWLOCK', 'T_TSPR_APPFILEFLOWLOCK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILEFK_FSTDRSMID') CREATE INDEX IDX_TSPR_APPFILEFK_FSTDRSMID ON T_TSPR_APPFILEFLOWLOCK ( FSTDRSMID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILE', 'T_TSPR_APPFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILE_FPOS') CREATE INDEX IDX_TSPR_APPFILE_FPOS ON T_TSPR_APPFILE ( FPOSITIONID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILE_A', 'T_TSPR_APPFILE_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILE_A_FAPPLYTIME') CREATE INDEX IDX_TSPR_APPFILE_A_FAPPLYTIME ON T_TSPR_APPFILE_A ( FAPPLYTIME );


 EXEC P_ALTERPK 'PK_TSPR_IRWORKADDR', 'T_TSPR_IRWORKADDR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRWORKADDR_FWAID') CREATE INDEX IDX_TSPR_IRWORKADDR_FWAID ON T_TSPR_IRWORKADDR ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_TSPR_BIZCOUNT', 'T_TSPR_BIZCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_BIZCOUNT_STAFF') CREATE INDEX IDX_TSPR_BIZCOUNT_STAFF ON T_TSPR_BIZCOUNT ( FBIZSTAFF );


 EXEC P_ALTERPK 'PK_TSPR_IRPOSTERENTRY', 'T_TSPR_IRPOSTERENTRY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSRBS_RPOSTERENTRY_EID') CREATE INDEX IDX_TSRBS_RPOSTERENTRY_EID ON T_TSPR_IRPOSTERENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_TSPR_IRPOSTEROPR', 'T_TSPR_IRPOSTEROPR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSRBS_RPOSTEROPR_POSTER') CREATE INDEX IDX_TSRBS_RPOSTEROPR_POSTER ON T_TSPR_IRPOSTEROPR ( FPOSTERID );


 EXEC P_ALTERPK 'PK_TSPR_IRPOSTER', 'T_TSPR_IRPOSTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RPOSTER_FPARENTID') CREATE INDEX IDX_TSPR_RPOSTER_FPARENTID ON T_TSPR_IRPOSTER ( FPARENTID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_RPOSTER_FNUMBER') CREATE INDEX IDX_TSPR_RPOSTER_FNUMBER ON T_TSPR_IRPOSTER ( FNUMBER );


 EXEC P_ALTERPK 'PK_TSPR_IRRRECORD', 'T_TSPR_IRRRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_CREATORID') CREATE INDEX IDX_TSPR_IRRRECORD_CREATORID ON T_TSPR_IRRRECORD ( FCREATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_FPOSTERID') CREATE INDEX IDX_TSPR_IRRRECORD_FPOSTERID ON T_TSPR_IRRRECORD ( FPOSTERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_APPFILEID') CREATE INDEX IDX_TSPR_IRRRECORD_APPFILEID ON T_TSPR_IRRRECORD ( FCANAPPFILEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_POSID') CREATE INDEX IDX_TSPR_IRRRECORD_POSID ON T_TSPR_IRRRECORD ( FPOSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_ADVID') CREATE INDEX IDX_TSPR_IRRRECORD_ADVID ON T_TSPR_IRRRECORD ( FADVID );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILL', 'T_TSPR_ADVBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVBILL_FPOSID') CREATE INDEX IDX_TSPR_ADVBILL_FPOSID ON T_TSPR_ADVBILL ( FPOSITIONEXID );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILL_L', 'T_TSPR_ADVBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVBILL_L') CREATE INDEX IDX_TSPR_ADVBILL_L ON T_TSPR_ADVBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILLENTITY', 'T_TSPR_ADVBILLENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVBILLENTITY_FADVID') CREATE INDEX IDX_TSPR_ADVBILLENTITY_FADVID ON T_TSPR_ADVBILLENTITY ( FADVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVBILLENTITY_FID') CREATE INDEX IDX_TSPR_ADVBILLENTITY_FID ON T_TSPR_ADVBILLENTITY ( FID );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILLENTITY_I', 'T_TSPR_ADVBILLENTITY_I', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTENTITY_I_ISTOP') CREATE INDEX IDX_TSPR_ADVERTENTITY_I_ISTOP ON T_TSPR_ADVBILLENTITY_I ( FISTOP );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILLENTITY_L', 'T_TSPR_ADVBILLENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVBILLENTITY_L') CREATE INDEX IDX_TSPR_ADVBILLENTITY_L ON T_TSPR_ADVBILLENTITY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_ADVBILLENTITY_WA', 'T_TSPR_ADVBILLENTITY_WA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRWORKADDR_WA_FWAID') CREATE INDEX IDX_TSPR_IRWORKADDR_WA_FWAID ON T_TSPR_ADVBILLENTITY_WA ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_TSPR_ADVERTEX', 'T_TSPR_ADVERTEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTEX_FPOSID') CREATE INDEX IDX_TSPR_ADVERTEX_FPOSID ON T_TSPR_ADVERTEX ( FPOSID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTEX_FNUMBER') CREATE INDEX IDX_TSPR_ADVERTEX_FNUMBER ON T_TSPR_ADVERTEX ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTEX_FAPPROVEID') CREATE INDEX IDX_TSPR_ADVERTEX_FAPPROVEID ON T_TSPR_ADVERTEX ( FAPPROVEID );


 EXEC P_ALTERPK 'PK_TSPR_ADVERTEX_I', 'T_TSPR_ADVERTEX_I', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTEX_I_ISTOP') CREATE INDEX IDX_TSPR_ADVERTEX_I_ISTOP ON T_TSPR_ADVERTEX_I ( FISTOP );


 EXEC P_ALTERPK 'PK_TSPR_ADVERTEX_L', 'T_TSPR_ADVERTEX_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ADVERTEX_L') CREATE INDEX IDX_TSPR_ADVERTEX_L ON T_TSPR_ADVERTEX_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_IRRRECORD_L', 'T_TSPR_IRRRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_IRRRECORD_L') CREATE INDEX IDX_TSPR_IRRRECORD_L ON T_TSPR_IRRRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_ARGINTV_L', 'T_TSPR_ARGINTV_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ARGINTV_L') CREATE INDEX IDX_TSPR_ARGINTV_L ON T_TSPR_ARGINTV_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_GROUPCANDATE', 'T_TSPR_GROUPCANDATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_GROUPCANDATEFDID') CREATE INDEX IDX_TSPR_GROUPCANDATEFDID ON T_TSPR_GROUPCANDATE ( FDETAILID );


 EXEC P_ALTERPK 'PK_TSPR_INTVCANDATE', 'T_TSPR_INTVCANDATE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVCANDATEFID') CREATE INDEX IDX_TSPR_INTVCANDATEFID ON T_TSPR_INTVCANDATE ( FID );


 EXEC P_ALTERPK 'PK_TSPR_INTVER', 'T_TSPR_INTVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVERFDID') CREATE INDEX IDX_TSPR_INTVERFDID ON T_TSPR_INTVER ( FDETAILID );


 EXEC P_ALTERPK 'PK_TSPR_INTVEVLENTRY', 'T_TSPR_INTVEVLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVEVLENTRYFID') CREATE INDEX IDX_TSPR_INTVEVLENTRYFID ON T_TSPR_INTVEVLENTRY ( FID );


 EXEC P_ALTERPK 'PK_TSPR_INTVGROUPENTRY_L', 'T_TSPR_INTVGROUPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVGROUPENTRY_L') CREATE INDEX IDX_TSPR_INTVGROUPENTRY_L ON T_TSPR_INTVGROUPENTRY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_INTVTASK_L', 'T_TSPR_INTVTASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVTASK_L') CREATE INDEX IDX_TSPR_INTVTASK_L ON T_TSPR_INTVTASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_INTVEVLANS', 'T_TSPR_INTVEVLANS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INTVEVLANS_OPTIONID') CREATE INDEX IDX_INTVEVLANS_OPTIONID ON T_TSPR_INTVEVLANS ( FSUBOPTIONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INTVEVLANS_QUESTIONID') CREATE INDEX IDX_INTVEVLANS_QUESTIONID ON T_TSPR_INTVEVLANS ( FINSPECTQUID );


 EXEC P_ALTERPK 'PK_TSPR_INTVEVLANS_L', 'T_TSPR_INTVEVLANS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVEVLANS_L') CREATE INDEX IDX_TSPR_INTVEVLANS_L ON T_TSPR_INTVEVLANS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILETASK_L', 'T_TSPR_APPFILETASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_APPFILETASK_L') CREATE INDEX IDX_TSPR_APPFILETASK_L ON T_TSPR_APPFILETASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_REFUSALREASON', 'T_TSPR_REFUSALREASON', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_REFUSALREASON') CREATE INDEX IDX_TSPR_REFUSALREASON ON T_TSPR_REFUSALREASON ( FID );


 EXEC P_ALTERPK 'PK_TSPR_UNIFYARGINFO', 'T_TSPR_UNIFYARGINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ARGINTVID') CREATE INDEX IDX_ARGINTVID ON T_TSPR_UNIFYARGINFO ( FARGINTVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FROUNDID') CREATE INDEX IDX_FROUNDID ON T_TSPR_UNIFYARGINFO ( FROUNDID );


 EXEC P_ALTERPK 'PK_TSPR_UNIFYARGINFO_L', 'T_TSPR_UNIFYARGINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_UNIFYARGINFO_L') CREATE INDEX IDX_TSPR_UNIFYARGINFO_L ON T_TSPR_UNIFYARGINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TSPR_UNIFYINTVER', 'T_TSPR_UNIFYINTVER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_UNIFYINTVERFID') CREATE INDEX IDX_TSPR_UNIFYINTVERFID ON T_TSPR_UNIFYINTVER ( FID );


 EXEC P_ALTERPK 'PK_TSPR_INTVEVL', 'T_TSPR_INTVEVL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVEVLATORID') CREATE INDEX IDX_TSPR_INTVEVLATORID ON T_TSPR_INTVEVL ( FINTERVIEWEVALUATORID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVEVLAAPPFILEID') CREATE INDEX IDX_TSPR_INTVEVLAAPPFILEID ON T_TSPR_INTVEVL ( FAPPLICATIONID );


 EXEC P_ALTERPK 'PK_TSPR_INTVGROUPENTRY', 'T_TSPR_INTVGROUPENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVGROUPAPP') CREATE INDEX IDX_TSPR_INTVGROUPAPP ON T_TSPR_INTVGROUPENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_TSPR_INTVROUNDENTRY', 'T_TSPR_INTVROUNDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVROUNDFID') CREATE INDEX IDX_TSPR_INTVROUNDFID ON T_TSPR_INTVROUNDENTRY ( FID );


 EXEC P_ALTERPK 'PK_TSPR_ARGINTV', 'T_TSPR_ARGINTV', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ARGINTVHRID') CREATE INDEX IDX_TSPR_ARGINTVHRID ON T_TSPR_ARGINTV ( FINTERVIEWARRANGERID );


 EXEC P_ALTERPK 'PK_TSPR_APPFILETASK', 'T_TSPR_APPFILETASK', 'FID', '1';

-- IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_ARGINTVID') CREATE INDEX IDX_TSPR_ARGINTVID ON T_TSPR_APPFILETASK ( FARGINTVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVGROUPID') CREATE INDEX IDX_TSPR_INTVGROUPID ON T_TSPR_APPFILETASK ( FINTVGROUPID );


 EXEC P_ALTERPK 'PK_TSPR_CANINTVENTRY', 'T_TSPR_CANINTVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INDEXDATE') CREATE INDEX IDX_INDEXDATE ON T_TSPR_CANINTVENTRY ( FINDEXDATE );


 EXEC P_ALTERPK 'PK_TSPR_CANNOTINTVENTRY', 'T_TSPR_CANNOTINTVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INDEXDATE') CREATE INDEX IDX_TSPR_INDEXDATE ON T_TSPR_CANNOTINTVENTRY ( FINDEXDATE );


 EXEC P_ALTERPK 'PK_TSPR_INTVCALENDAR', 'T_TSPR_INTVCALENDAR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTERVIEWERID') CREATE INDEX IDX_TSPR_INTERVIEWERID ON T_TSPR_INTVCALENDAR ( FINTERVIEWERID );


 EXEC P_ALTERPK 'PK_TSPR_CHANNELRELATION', 'T_TSPR_CHANNELRELATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_CHANNELID') CREATE INDEX IDX_TSPR_CHANNELID ON T_TSPR_CHANNELRELATION ( FCHANNELID );


 EXEC P_ALTERPK 'PK_TSPR_INTVERFILEMUL', 'T_TSPR_INTVERFILEMUL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVERFILEMULFDID') CREATE INDEX IDX_TSPR_INTVERFILEMULFDID ON T_TSPR_INTVERFILEMUL ( FDETAILID );


 EXEC P_ALTERPK 'PK_TSPR_INTVTASK', 'T_TSPR_INTVTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTERVIEWER') CREATE INDEX IDX_TSPR_INTERVIEWER ON T_TSPR_INTVTASK ( FINTERVIEWERID );

EXEC P_ALTERPK 'PK_TSPR_INTVCALENDAR_L', 'T_TSPR_INTVCALENDAR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TSPR_INTVCALENDAR_L') CREATE INDEX IDX_TSPR_INTVCALENDAR_L ON T_TSPR_INTVCALENDAR_L ( FID ,FLOCALEID );


/**End D:\PDM_UPGRADE\PDM1\TSPR_constraint.sql **/
