﻿/**Begin D:\PDM_UPGRADE\PDM1\TSPR_table.sql **/
EXEC p_AlterColumn 'T_TSPR_IRRRECORD', 'FREWARD', 'DECIMAL(12,2)', 'NOT NULL', '1111', '0.00';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FONBARDINGDATE')
ALTER TABLE T_TSPR_IRRRECORD ADD (FONBARDINGDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FCANRANK')
ALTER TABLE T_TSPR_IRRRECORD ADD (FCANRANK BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FJOBNO')
ALTER TABLE T_TSPR_IRRRECORD ADD (FJOBNO VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FTOTALCOST')
ALTER TABLE T_TSPR_IRRRECORD ADD (FTOTALCOST DECIMAL(23,2) DEFAULT 0.00 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FTOTALCURRENCYID')
ALTER TABLE T_TSPR_IRRRECORD ADD (FTOTALCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FTOTALPOINT')
ALTER TABLE T_TSPR_IRRRECORD ADD (FTOTALPOINT DECIMAL(23,2) DEFAULT 0.00 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FISGIVE')
ALTER TABLE T_TSPR_IRRRECORD ADD (FISGIVE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FREWARDNO')
ALTER TABLE T_TSPR_IRRRECORD ADD (FREWARDNO VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FREWARDCURRENCYID')
ALTER TABLE T_TSPR_IRRRECORD ADD (FREWARDCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FMANAGEINFOID')
ALTER TABLE T_TSPR_IRRRECORD ADD (FMANAGEINFOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FCANNAME')
ALTER TABLE T_TSPR_IRRRECORD ADD (FCANNAME NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FRECOMMENDUSERID')
ALTER TABLE T_TSPR_IRRRECORD ADD (FRECOMMENDUSERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_IRRRECORD' AND KSQL_COL_NAME ='FRSMID')
ALTER TABLE T_TSPR_IRRRECORD ADD (FRSMID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_IRRDETAIL')
CREATE TABLE T_TSPR_IRRDETAIL (
   FID BIGINT DEFAULT 0 NOT NULL,
   FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
   FRECRUSTGID BIGINT DEFAULT 0 NOT NULL,
   FREWARDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
   FDETAILREWARD DECIMAL(12,2) DEFAULT 0.00 NOT NULL,
   FDETAILCURRENCYID BIGINT DEFAULT 0 NOT NULL,
   FCREATORID BIGINT DEFAULT 0 NOT NULL,
   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
   FCREATETIME DATETIME,
   FMODIFYTIME DATETIME,
   FPOINTITEM NVARCHAR(200) DEFAULT ' ' NOT NULL,
   FRRECORDID BIGINT DEFAULT 0 NOT NULL,
   FMASTERID BIGINT DEFAULT 0 NOT NULL,
   FENABLE CHAR(1) DEFAULT ' ' NOT NULL
);






/**End D:\PDM_UPGRADE\PDM1\TSPR_table.sql 从新推主干**/