﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSPR_BACKGROUND') 
 CREATE TABLE T_TSPR_BACKGROUND (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FAPPFILEID BIGINT DEFAULT 0 NOT NULL,
FCONCLUSION VARCHAR(8) DEFAULT ' ' NOT NULL,
FBGSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELETED CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_APPFILE' AND KSQL_COL_NAME ='FBGSTATUS') 
 ALTER TABLE T_TSPR_APPFILE ADD (FBGSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TSPR_ADVERTEX' AND KSQL_COL_NAME ='FMODIFYUSER') 
 ALTER TABLE T_TSPR_ADVERTEX ADD (FMODIFYUSER BIGINT DEFAULT 0 NOT NULL );

